#!/usr/bin/ruby

require 'random_graph'
require 'gruff'

include RandomGraph

probability = []
data = []

size = 20
trials = 10
(0..100).step(1) do |int|
  puts "progress! #{int}" if int % 5 == 0
  # puts int
  p = int.to_f / 100
  probability << p
  total_number_comp = 0
  (0...trials).each do |_x|
    g = Graph.erdos_renyi_gnp(size, p)
    total_number_comp += g.number_of_components
  end
  avg_num = total_number_comp.to_f / trials
  data << avg_num
end

g = Gruff::Bar.new
g.sort = false
g.title = 'probability vs. Number of connected components '
g.data('number of componetns', data)
g.y_axis_increment = 1 # Points shown on the Y axis
g.x_axis_label = 'p value'
g.y_axis_label = 'number of connected components '

g.write('sample01.png')
