#!/usr/bin/ruby

require 'random_graph'
require 'gruff'

include RandomGraph

the_hash = {}

(0...300_000).each do |_i|
  g = Graph.erdos_renyi_gnp(4, 0.5)
  x = 0b000000
  x ^= 0b100000 if g.edge?(0, 1)
  x ^= 0b010000 if g.edge?(0, 2)
  x ^= 0b001000 if g.edge?(0, 3)
  x ^= 0b000100 if g.edge?(1, 2)
  x ^= 0b000010 if g.edge?(1, 3)
  x ^= 0b000001 if g.edge?(2, 3)

  if the_hash.key?(x)
    the_hash[x] = 1 + the_hash[x]
  else
    the_hash[x] = 1
  end
end

data = []
the_hash.each_value { |v| data << v }

g = Gruff::Bar.new
g.sort = false
g.title = '4 node, 0.5 probability GNP'
g.data('Frequency', data)
g.y_axis_increment = 10_000 # Points shown on the Y axis
g.x_axis_label = 'graph layout'
g.y_axis_label = 'Frequency'

g.write('sample05.png')
