#!/usr/bin/ruby

require 'random_graph'
require 'gruff'

include RandomGraph

size = 1000
g = Graph.preferential_attachment(size)
frequency = Array.new(size)
frequency.fill(0)
(0...size).each do |i|
  deg = g.degree(i)
  frequency[deg] += 1
end

max = 0
(0...size).each do |i|
  max = i if frequency[i] > 0
end

new_freq = Array.new(max + 1)
(0...max + 1).each do |i|
  new_freq[i] = frequency[i]
end

g = Gruff::Bar.new
g.sort = false
g.title = 'Degree distribution preferential_attachment'
g.data('Frequency', new_freq)
g.y_axis_increment = 1 # Points shown on the Y axis
g.x_axis_label = 'Node Degree'
g.y_axis_label = 'Frequency'
g.y_axis_increment = 80

g.write('sample06.png')
