# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'random_graph/version'

Gem::Specification.new do |spec|
  spec.name          = 'random_graph'
  spec.version       = RandomGraph::VERSION
  spec.authors       = ['fselame']
  spec.email         = ['fsel@sas.upenn.edu']

  spec.summary       = 'Gem for generating random graphs'
  spec.description   = 'This gem implements the following random
    network generation models: Erdos-Renyi GNM and GNP, Watts-Strogatz,
    and preferential attachement. It also implements graph algorithms to
    study the randomly generated graphs.'
  spec.homepage      = 'https://github.com/fselame/random_graph'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.9'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.4'
  spec.add_development_dependency 'simplecov', '~> 0.10'
  spec.add_runtime_dependency 'ruby-graphviz', '~> 1.2'
  spec.add_runtime_dependency 'gruff', '~> 0.6'
end
